Public Types | Public Member Functions | Public Attributes | List of all members
STOFFNote Struct Reference

a note More...

`#include <libstaroffice_internal.hxx>`

## Public Types
enum | Type { FootNote , EndNote }
| enum to define note type More...

## Public Member Functions
| STOFFNote (Type type)
| constructor

## Public Attributes
Type | m_type
| the note type
librevenge::RVNGString | m_label
| the note label
int | m_number
| the note number if defined

## Detailed Description

a note

## Member Enumeration Documentation

## ◆ Type

enum STOFFNote::Type

enum to define note type

Enumerator
FootNote |
EndNote |

## Constructor & Destructor Documentation

## ◆ STOFFNote()

STOFFNote::STOFFNote | ( | Type | type | ) |
| inline explicit

constructor

## Member Data Documentation

## ◆ m_label

librevenge::RVNGString STOFFNote::m_label

the note label

Referenced by STOFFSpreadsheetListener::insertNote(), STOFFTextListener::insertNote(), and StarCharAttribute::StarCAttributeFootnote::send().

## ◆ m_number

int STOFFNote::m_number

the note number if defined

Referenced by STOFFSpreadsheetListener::insertNote(), STOFFTextListener::insertNote(), and StarCharAttribute::StarCAttributeFootnote::send().

## ◆ m_type

Type STOFFNote::m_type

the note type

Referenced by STOFFSpreadsheetListener::insertNote(), and STOFFTextListener::insertNote().

The documentation for this struct was generated from the following file:

- libstaroffice_internal.hxx